package com.capgemini.greenhouse.api;

import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * NOTE: This class is auto generated by the swagger code generator program (3.0.5).
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2019-03-04T11:36:07.231Z[Europe/London]")
@Api(value = "windows", description = "the window API")
public interface WindowsApi {

    @ApiOperation(value = "Sets the required light level for the light device identified by {id}", nickname = "setWindowState", notes = "", tags = {})
    @ApiResponses(value = {
            @ApiResponse(code = 200, message = "Success"),
            @ApiResponse(code = 400, message = "Bad request"),
            @ApiResponse(code = 405, message = "Invalid input"),
            @ApiResponse(code = 500, message = "Internal server error"),
            @ApiResponse(code = 503, message = "Service unavailable")})
    @RequestMapping(value = "/windows/{id}/{state}",
            method = RequestMethod.POST)
    ResponseEntity<Void> setWindowState(@ApiParam(value = "A value identifying the window", required = true) @PathVariable("id") Integer id, @ApiParam(value = "The humidity to set for the room. Possible parameter values are 'open or 'closed'", required = true) @PathVariable("state") String state);

}
